com.independentsoft.exchange

## Enum StandardTimeZone

- java.lang.Object
- - java.lang.Enum<StandardTimeZone>
  - - com.independentsoft.exchange.StandardTimeZone

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StandardTimeZone>

      public enum StandardTimeZone
      extends java.lang.Enum<StandardTimeZone>

  Identifies a single time zone definition.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABU_DHABI`
    `ADELAIDE`
    `ALASKA`
    `ALMATY`
    `ARAB`
    `ARIZONA`
    `ATHENS`
    `ATLANTIC_CANADA`
    `AZORES`
    `BAGHDAD`
    `BANGKOK`
    `BEIJING`
    `BERLIN`
    `BOGOTA`
    `BOMBAY`
    `BRASILIA`
    `BRISBANE`
    `BUENOS_AIRES`
    `CAIRO`
    `CAPE_VERDE`
    `CARACAS`
    `CAUCASUS`
    `CENTRAL`
    `CENTRAL_AMERICA`
    `DARWIN`
    `DHAKA`
    `EAST_AFRICA`
    `EASTERN`
    `EASTERN_EUROPE`
    `EKATERINBURG`
    `ENIWETOK`
    `FIJI`
    `GMT`
    `GREENLAND`
    `GUAM`
    `HARARE`
    `HAWAII`
    `HELSINKI`
    `HOBART`
    `HONG_KONG`
    `INDIANA`
    `IRKUTSK`
    `ISLAMABAD`
    `ISRAEL`
    `KABUL`
    `KRASNOYARSK`
    `LISBON`
    `MAGADAN`
    `MEXICO_CITY`
    `MID_ATLANTIC`
    `MIDWAY_ISLAND`
    `MONROVIA`
    `MOSCOW`
    `MOUNTAIN`
    `NEPAL`
    `NEWFOUNDLAND`
    `PACIFIC`
    `PARIS`
    `PERTH`
    `PRAGUE`
    `RANGOON`
    `SANTIAGO`
    `SASKATCHEWAN`
    `SEOUL`
    `SRI_LANKA`
    `SYDNEY`
    `TAIPEI`
    `TEHRAN`
    `TOKYO`
    `TONGA`
    `UTC`
    `VLADIVOSTOK`
    `WELLINGTON`
    `WEST_CENTRAL_AFRICA`
    `YAKUTSK`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StandardTimeZone` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StandardTimeZone[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UTC

          public static final StandardTimeZone UTC

    - #### GMT

          public static final StandardTimeZone GMT

    - #### LISBON

          public static final StandardTimeZone LISBON

    - #### PARIS

          public static final StandardTimeZone PARIS

    - #### BERLIN

          public static final StandardTimeZone BERLIN

    - #### EASTERN_EUROPE

          public static final StandardTimeZone EASTERN_EUROPE

    - #### PRAGUE

          public static final StandardTimeZone PRAGUE

    - #### ATHENS

          public static final StandardTimeZone ATHENS

    - #### BRASILIA

          public static final StandardTimeZone BRASILIA

    - #### ATLANTIC_CANADA

          public static final StandardTimeZone ATLANTIC_CANADA

    - #### EASTERN

          public static final StandardTimeZone EASTERN

    - #### CENTRAL

          public static final StandardTimeZone CENTRAL

    - #### MOUNTAIN

          public static final StandardTimeZone MOUNTAIN

    - #### PACIFIC

          public static final StandardTimeZone PACIFIC

    - #### ALASKA

          public static final StandardTimeZone ALASKA

    - #### HAWAII

          public static final StandardTimeZone HAWAII

    - #### MIDWAY_ISLAND

          public static final StandardTimeZone MIDWAY_ISLAND

    - #### WELLINGTON

          public static final StandardTimeZone WELLINGTON

    - #### BRISBANE

          public static final StandardTimeZone BRISBANE

    - #### ADELAIDE

          public static final StandardTimeZone ADELAIDE

    - #### TOKYO

          public static final StandardTimeZone TOKYO

    - #### HONG_KONG

          public static final StandardTimeZone HONG_KONG

    - #### BANGKOK

          public static final StandardTimeZone BANGKOK

    - #### BOMBAY

          public static final StandardTimeZone BOMBAY

    - #### ABU_DHABI

          public static final StandardTimeZone ABU_DHABI

    - #### TEHRAN

          public static final StandardTimeZone TEHRAN

    - #### BAGHDAD

          public static final StandardTimeZone BAGHDAD

    - #### ISRAEL

          public static final StandardTimeZone ISRAEL

    - #### NEWFOUNDLAND

          public static final StandardTimeZone NEWFOUNDLAND

    - #### AZORES

          public static final StandardTimeZone AZORES

    - #### MID_ATLANTIC

          public static final StandardTimeZone MID_ATLANTIC

    - #### MONROVIA

          public static final StandardTimeZone MONROVIA

    - #### BUENOS_AIRES

          public static final StandardTimeZone BUENOS_AIRES

    - #### CARACAS

          public static final StandardTimeZone CARACAS

    - #### INDIANA

          public static final StandardTimeZone INDIANA

    - #### BOGOTA

          public static final StandardTimeZone BOGOTA

    - #### SASKATCHEWAN

          public static final StandardTimeZone SASKATCHEWAN

    - #### MEXICO_CITY

          public static final StandardTimeZone MEXICO_CITY

    - #### ARIZONA

          public static final StandardTimeZone ARIZONA

    - #### ENIWETOK

          public static final StandardTimeZone ENIWETOK

    - #### FIJI

          public static final StandardTimeZone FIJI

    - #### MAGADAN

          public static final StandardTimeZone MAGADAN

    - #### HOBART

          public static final StandardTimeZone HOBART

    - #### GUAM

          public static final StandardTimeZone GUAM

    - #### DARWIN

          public static final StandardTimeZone DARWIN

    - #### BEIJING

          public static final StandardTimeZone BEIJING

    - #### ALMATY

          public static final StandardTimeZone ALMATY

    - #### ISLAMABAD

          public static final StandardTimeZone ISLAMABAD

    - #### KABUL

          public static final StandardTimeZone KABUL

    - #### CAIRO

          public static final StandardTimeZone CAIRO

    - #### HARARE

          public static final StandardTimeZone HARARE

    - #### MOSCOW

          public static final StandardTimeZone MOSCOW

    - #### CAPE_VERDE

          public static final StandardTimeZone CAPE_VERDE

    - #### CAUCASUS

          public static final StandardTimeZone CAUCASUS

    - #### CENTRAL_AMERICA

          public static final StandardTimeZone CENTRAL_AMERICA

    - #### EAST_AFRICA

          public static final StandardTimeZone EAST_AFRICA

    - #### EKATERINBURG

          public static final StandardTimeZone EKATERINBURG

    - #### HELSINKI

          public static final StandardTimeZone HELSINKI

    - #### GREENLAND

          public static final StandardTimeZone GREENLAND

    - #### RANGOON

          public static final StandardTimeZone RANGOON

    - #### NEPAL

          public static final StandardTimeZone NEPAL

    - #### IRKUTSK

          public static final StandardTimeZone IRKUTSK

    - #### KRASNOYARSK

          public static final StandardTimeZone KRASNOYARSK

    - #### SANTIAGO

          public static final StandardTimeZone SANTIAGO

    - #### SRI_LANKA

          public static final StandardTimeZone SRI_LANKA

    - #### TONGA

          public static final StandardTimeZone TONGA

    - #### VLADIVOSTOK

          public static final StandardTimeZone VLADIVOSTOK

    - #### WEST_CENTRAL_AFRICA

          public static final StandardTimeZone WEST_CENTRAL_AFRICA

    - #### YAKUTSK

          public static final StandardTimeZone YAKUTSK

    - #### DHAKA

          public static final StandardTimeZone DHAKA

    - #### SEOUL

          public static final StandardTimeZone SEOUL

    - #### PERTH

          public static final StandardTimeZone PERTH

    - #### ARAB

          public static final StandardTimeZone ARAB

    - #### TAIPEI

          public static final StandardTimeZone TAIPEI

    - #### SYDNEY

          public static final StandardTimeZone SYDNEY

  - ### Method Detail

    - #### values

          public static StandardTimeZone[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StandardTimeZone c : StandardTimeZone.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StandardTimeZone valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null